%define dbus_version	1.1
%define dbus_glib_version 0.73
%define hal_version 0.5.0

%define gtk2_version	2.12.0
%define wireless_tools_version 29-1

%define snapshot
%define applet_snapshot

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		NetworkManager
Summary: 	Network connection manager and user applications
Version: 	0.7.1
Release:	1
Group: 		System/Configuration/Networking
License: 	GPLv2+
URL: 		http://www.gnome.org/projects/NetworkManager/
Source: 	%{name}-%{version}%{?snapshot:.%{snapshot}}.tar.bz2
Source1: 	network-manager-applet-%{version}%{?applet_snapshot:.%{applet_snapshot}}.tar.bz2
Source2: 	nm-system-settings.conf
Patch1: 	NetworkManager-0.7.1-fixup-internal-applet-build.patch
Patch4: 	serial-debug.patch
Patch10:	init.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq:   	chkconfig
Requires: 	wireless-tools >= %{wireless_tools_version}
Requires: 	dbus >= %{dbus_version}
Requires: 	dbus-glib >= %{dbus_glib_version}
Requires: 	hal >= %{hal_version}
Requires: 	iproute2 openssl
Requires: 	dhclient
Requires: 	wpa_supplicant >= 0.5.7-1
Requires: 	%{name}-glib = %{version}-%{release}
BuildRequires: 	wireless-tools-devel >= %{wireless_tools_version}
BuildRequires: 	openssl-devel
BuildRequires: 	gnome-panel-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	gnome-keyring-devel
BuildRequires: 	gettext-devel
BuildRequires: 	wpa_supplicant
BuildRequires: 	perl(XML::Parser)
BuildRequires: 	automake autoconf intltool libtool
BuildRequires: 	ppp >= 2.4.4
BuildRequires: 	gnome-common
BuildRequires:	ppp-devel
Requires: 	gnome-icon-theme


#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel >= %{hal_version}
BuildRequires: libglade-devel
BuildRequires: libnl-devel
BuildRequires: libnotify-devel
BuildRequires: libpng-devel
BuildRequires: libsmbios-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: nspr-devel
BuildRequires: nss-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: PolicyKit-devel
BuildRequires: PolicyKit-gnome-devel
BuildRequires: util-linux-ng
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
NetworkManager attempts to keep an active network connection available at all
times.  It is intended only for the desktop use-case, and is not intended for
usage on servers.   The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.  If using DHCP,
NetworkManager is _intended_ to replace default routes, obtain IP addresses
from a DHCP server, and change nameservers whenever it sees fit.

%package gnome
Summary: 	GNOME applications for use with NetworkManager
Group: 		System/Configuration/Networking
Requires: 	%{name} = %{version}-%{release}
Requires: 	%{name}-glib = %{version}-%{release}
Requires: 	gnome-panel
Requires: 	dbus >= %{dbus_version}
Requires: 	dbus-glib >= %{dbus_glib_version}
Requires: 	hal >= %{hal_version}
Requires: 	libnotify >= 0.3
PreReq:  	gtk2+ >= %{gtk2_version}
Requires: 	gnome-keyring
Requires: 	nss >= 3.11.7

%description gnome
This package contains GNOME utilities and applications for use with
NetworkManager, including a panel applet for wireless networks.

%package devel
Summary: 	Libraries and headers for adding NetworkManager support to applications
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	dbus-devel >= %{dbus_version}
Requires: 	dbus-glib >= %{dbus_glib_version}
Requires: 	pkgconfig

%description devel
This package contains various headers accessing some NetworkManager functionality
from applications.


%package glib
Summary: 	Libraries for adding NetworkManager support to applications that use glib.
Group: 		Development/Libraries
Requires: 	dbus >= %{dbus_version}
Requires: 	dbus-glib >= %{dbus_glib_version}

%description glib
This package contains the libraries that make it easier to use some NetworkManager
functionality from applications that use glib.


%package glib-devel
Summary: 	Header files for adding NetworkManager support to applications that use glib.
Group: 		Development/Libraries
Requires: 	%{name}-devel = %{version}-%{release}
Requires: 	%{name}-glib = %{version}-%{release}
Requires: 	glib-devel
Requires: 	pkgconfig

%description glib-devel
This package contains the header and pkg-config files for development applications using
NetworkManager functionality from applications that use glib.


%prep
%setup -q
# unpack the applet
tar -xjf %{SOURCE1}
%patch1 -p1 -b .buildfix
#%patch4 -p1 -b .serial-debug
%patch10 -p1

%build
# Even though we don't require named, we still build with it
# so that if the user installs it, NM will use it automatically
autoreconf -i
%configure \
	--disable-static \
	--with-distro=redhat \
	--with-dhcp-client=dhclient \
	--with-crypto=nss \
	--enable-more-warnings=yes
make

# build the applet
pushd network-manager-applet-%{version}
  autoreconf -i
  intltoolize --force
  %configure \
	--disable-static \
  make
popd


%install
%{__rm} -rf $RPM_BUILD_ROOT

# install NM
make install DESTDIR=$RPM_BUILD_ROOT

%{__cp} %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/

# install the applet
pushd network-manager-applet-%{version}
  make install DESTDIR=$RPM_BUILD_ROOT
popd


#move xdg files to its correct location
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/gnome
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/xdg $RPM_BUILD_ROOT%{_sysconfdir}/gnome

# create a VPN directory
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/VPN

%find_lang %{name}
%find_lang nm-applet
cat nm-applet.lang >> %{name}.lang

%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/pppd/2.4.4/*.la
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la

# Remove system settings daemon for now
#%{__rm} -f $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/nm-system-settings.conf
#%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/NetworkManager/libnm-settings-plugin*
#%{__rm} -f $RPM_BUILD_ROOT%{_sbindir}/nm-system-settings

install -m 0755 test/.libs/nm-online %{buildroot}/%{_bindir}

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
if [ "$1" == "1" ]; then
	/sbin/chkconfig --add NetworkManager
	/sbin/chkconfig NetworkManager resetpriorities
	/sbin/chkconfig NetworkManager off
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service NetworkManager stop >/dev/null 2>&1
    killall -TERM nm-system-settings >/dev/null 2>&1
    /sbin/chkconfig --del NetworkManager
fi

%triggerun -- NetworkManager < 0.7.0-21.svn4022
/sbin/service NetworkManagerDispatcher stop >/dev/null 2>&1
/sbin/chkconfig --del NetworkManagerDispatcher
exit 0

%post   glib -p /sbin/ldconfig
%postun glib -p /sbin/ldconfig

%post gnome
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun gnome
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING ChangeLog NEWS AUTHORS README CONTRIBUTING TODO
/lib/udev/nm-modem-probe
/lib/udev/rules.d/77-nm-probe-modem-capabilities.rules
%{_sysconfdir}/dbus-1/system.d/NetworkManager.conf
%{_sysconfdir}/dbus-1/system.d/nm-dhcp-client.conf
%{_sysconfdir}/dbus-1/system.d/nm-avahi-autoipd.conf
%{_sysconfdir}/dbus-1/system.d/nm-dispatcher.conf
%{_sysconfdir}/dbus-1/system.d/nm-system-settings.conf
%config %{_sysconfdir}/rc.d/init.d/NetworkManager
%{_sbindir}/%{name}
%{_sbindir}/nm-system-settings
%dir %{_sysconfdir}/%{name}/
%dir %{_sysconfdir}/%{name}/dispatcher.d
%dir %{_sysconfdir}/%{name}/VPN
%{_sysconfdir}/%{name}/nm-system-settings.conf
%{_bindir}/nm-tool
%{_bindir}/nm-online
%{_libexecdir}/nm-dhcp-client.action
%{_libexecdir}/nm-avahi-autoipd.action
%{_libexecdir}/nm-dispatcher.action
%dir %{_libdir}/NetworkManager
%{_libdir}/NetworkManager/*.so*
%{_mandir}/man1/*
%{_mandir}/man8/*
%dir %{_localstatedir}/run/NetworkManager
%{_prefix}/libexec/nm-crash-logger
%dir %{_datadir}/NetworkManager
%{_datadir}/NetworkManager/gdb-cmd
%{_datadir}/dbus-1/system-services/org.freedesktop.NetworkManagerSystemSettings.service
%{_datadir}/dbus-1/system-services/org.freedesktop.nm_dispatcher.service
%{_libdir}/pppd/2.4.4/nm-pppd-plugin.so
%{_datadir}/PolicyKit/policy/*.policy

%files devel
%defattr(-,root,root,0755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/%{name}.h
%{_includedir}/%{name}/NetworkManagerVPN.h
%{_libdir}/pkgconfig/%{name}.pc

%files gnome
%defattr(-,root,root,0755)
%{_sysconfdir}/dbus-1/system.d/nm-applet.conf
%{_bindir}/nm-applet
%{_bindir}/nm-connection-editor
%{_datadir}/nm-applet/
%{_datadir}/icons/hicolor/16x16/apps/nm-*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-*.png
%{_datadir}/icons/hicolor/32x32/apps/nm-*.png
%{_datadir}/icons/hicolor/48x48/apps/nm-*.png
%{_datadir}/icons/hicolor/scalable/apps/nm-*.svg
%{_sysconfdir}/gnome/xdg/autostart/nm-applet.desktop
%{_datadir}/applications/nm-connection-editor.desktop

%files glib
%defattr(-,root,root,0755)
%{_libdir}/libnm_glib.so.*
%{_libdir}/libnm_glib_vpn.so.*
%{_libdir}/libnm-util.so.*

%files glib-devel
%defattr(-,root,root,0755)
%dir %{_includedir}/libnm-glib
%{_includedir}/libnm-glib/*.h
%{_includedir}/%{name}/nm-*.h
%{_libdir}/pkgconfig/libnm_glib.pc
%{_libdir}/pkgconfig/libnm_glib_vpn.pc
%{_libdir}/pkgconfig/libnm-util.pc
%{_libdir}/libnm_glib.so
%{_libdir}/libnm_glib_vpn.so
%{_libdir}/libnm-util.so
%dir %{_datadir}/gtk-doc/html/libnm-glib
%{_datadir}/gtk-doc/html/libnm-glib/
%{_datadir}/gtk-doc/html/libnm-util/

%changelog
* Sun Aug 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.1-1
- Version update
- deactivated NM by default to not interfere with etcnet but to
keep it as a KDE4 BuildRequire
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.0-22
- readded init patch
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.0-21
- svn 4022
* Tue Apr 15 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.0-20
- svn 3549
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.0-19
- svn 3521
* Tue Mar 04 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.0-18
- svn 3370
* Mon Feb 11 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.0-17
- svn 3302
* Wed Jan 30 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.0-16
- svn 3261
* Tue Jan 15 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.0-15
- svn 3235
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.0-14
- moved libexecdir
* Mon Jan 07 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.0-13
- svn 3204
* Fri Dec 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-12
- Version update to latest svn
* Thu Nov 29 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-11
- altered groups
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-10
- Version update to latest svn
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-9
- moved xdg file
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-8
- readded init patch again
* Fri Nov 23 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-7
- nmapplet integration again, update
* Mon Nov 19 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-6
- version update to svn3096, applet moved into own package
* Fri Nov 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-5
- version update to svn3030
* Fri Nov 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-4
- rebuild against latest wireless tools
* Tue Oct 09 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-3
- readded patch2
* Tue Oct 09 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-2
- Fix startup scripts, temp remove patch2
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.0-1
- Initial release
